EPFO Basic Establishment
The EPFO Establishment API retrieves establishment details using the provided Establishment ID and generates a monthly summary of the establishment’s transactions for the specified number of months.
epfo_basic_establishment
POST https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_basic_establishment
Sample Request Body
Body
Type
Mandatory
Description
establishmentId
string
Yes
Company's EPFO Establishment ID
months
string
Yes
Number of months to look back starting from current date to get monthly summary of transactions.
Sample Post Parameters
{
"establishmentId": "TNMAS0084042000",
"months": "2"
}{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "7432a1ae-dbe6-4f52-affb-a72412c9d5af",
"status": "completed",
"result": {
"establishmentStatus": "Inactive",
"establishmentInfo": {
"address": "PETTUKOLA TOWERS 2ND FLOOR NO,190 A PETTUKOLA TOWERS 2ND FLOOR NO,190 A",
"city": "CHENNAI",
"country": "India",
"dateOfSetupOfEstablishment": "",
"district": "",
"epfoOfficeAddress": "No. 37, Royapettah High Road, Opposite Swagat Hotel,",
"epfoOfficeName": "CHENNAI",
"esicCode": "",
"establishmentCode": "TNMAS0084042000",
"nameOfEstablishment": "ENTRUST EXIM",
"ownershipType": "",
"panStatus": "",
"pinCode": "600010",
"primaryBusinessActivity": "TRADING - COMMERCIAL ESTABLISHMENTS",
"region": "TN - CHENNAI",
"sectionApplicable": "OTHER ESTABLISHMENTS IN WHICH EMPLOYING 20 OR MORE PERSONS AND NOTIFIED BY THE CENTRAL GOVT.",
"state": "TAMIL NADU",
"zone": "TAMIL NADU AND KERALA"
},
"transactionsMonthlySummary": "No Payment details found for this Establishment id."
},
"requested_at": "2026-05-27T13:23:04.680Z",
"completed_at": "2026-05-27T13:23:05.914Z"
}Get details
GET https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_basic_establishment
Query parameters description is given below,
Query Parameter
Type
Is Mandatory
Description
reference_id
String
Yes
Document reference id
Last updated